# Created by pyp2rpm-3.4.0
%define python3_pkgversion 3.11
%global pypi_name django_split_settings
%global pypi_version 1.3.2

%bcond_without tests # Enables tests

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        Organize Django settings into multiple files and directories

License:        BSD-2-Clause
URL:            https://django-split-settings.readthedocs.io
Source0:        %{pypi_name}-%{pypi_version}.tar.gz
BuildArch:      noarch

Patch0:         1000-add-setup-py.patch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-pip
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-toml
BuildRequires:  pyproject-rpm-macros



%description
Organize Django settings into multiple files and directories. Easily override
and modify settings. Use wildcards and optional settings files.

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        Organize Django settings into multiple files and directories

%description -n python%{python3_pkgversion}-%{pypi_name}
Organize Django settings into multiple files and directories. Easily override
and modify settings. Use wildcards and optional settings files.


%prep
%autosetup -n %{pypi_name}-%{pypi_version} -p1
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc README.md
%license LICENSE
%{python3_sitelib}/split_settings
%{python3_sitelib}/django_split_settings-%{version}-py%{python3_version}.egg-info

%changelog
* Wed Feb 19 2025 Teo Gonzalez <teo.g.gonzalez@oracle.com> - 1.3.2-1
- Initial package.
